#! /bin/sh -v

# hg purge
# hg pull
# hg update -C
# ../fink_patch_octave.sh
# ./bootstrap
# ../fink_configure_octave_noX11.sh
# ../fink_make_octave.sh

# (1) Fix for clang3.5 (bug 43298)
# (2) Fix for ov-classdef (bug 41178)
# (3) Fix for includes in oct.h & comment-list.h (patch is attached).
# (4) Fall-back to Gnuplot when osmesa is missing
# (5) Fixes for gnuplot, particularly v5 (bug 44187)

PatchFile1="../patches/clang3.5-fix.patch"
patch -p1 < ${PatchFile1}
PatchFile2="../patches/include-fix.patch"
patch -p1 < ${PatchFile2}
PatchFile3="../patches/octave-clang-classdef.patch"
patch -p1 < ${PatchFile3}
PatchFile4="../patches/backup_osmesa_with_gnuplot.patch"
patch -p1 < ${PatchFile4}
PatchFile5="../patches/octave-gnuplot_bugs44187_2015Aug16.patch"
patch -p1 < ${PatchFile5}

